Bug 523414 - Tabcompletion is broken, doesn't quote filenames
Summary: Tabcompletion is broken, doesn't quote filenames
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: cadaver
Version: 20
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-15 12:00 UTC by Tobias Mueller
Modified: 2015-06-30 00:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 00:32:49 UTC


Attachments (Terms of Use)

Description Tobias Mueller 2009-09-15 12:00:42 UTC
Description of problem:
I tried to delete a file whichs filename contains a space. I used Tabcompletion to have the filename ready.


Version-Release number of selected component (if applicable):
muelli@bigbox /dev/shm $ yum info cadaver
Loaded plugins: priorities, refresh-packagekit
adobe                                                    |  951 B     00:00     
fedora                                                   | 2.8 kB     00:00     
fedora-debuginfo                                         | 2.2 kB     00:00     
freshrpms                                                | 2.0 kB     00:00     
kde-redhat                                               | 2.1 kB     00:00     
kde-redhat-all                                           | 1.9 kB     00:00     
livna                                                    | 2.4 kB     00:00     
planetccrma                                              | 1.9 kB     00:00     
planetcore                                               | 1.9 kB     00:00     
rpmfusion-free                                           | 2.7 kB     00:00     
rpmfusion-free-updates                                   | 2.8 kB     00:00     
rpmfusion-free-updates/primary_db                        | 326 kB     00:00     
rpmfusion-nonfree                                        | 2.7 kB     00:00     
rpmfusion-nonfree-updates                                | 2.8 kB     00:00     
rpmfusion-nonfree-updates/primary_db                     | 138 kB     00:00     
updates                                                  | 3.4 kB     00:00     
updates/primary_db                                       | 5.6 MB     00:02     
161 packages excluded due to repository priority protections
Installed Packages
Name       : cadaver
Arch       : x86_64
Version    : 0.23.2
Release    : 4
Size       : 274 k
Repo       : installed
Summary    : Command-line WebDAV client
URL        : http://www.webdav.org/cadaver/
License    : GPLv2+
Description: cadaver is a command-line WebDAV client, with support for file
           : upload, download, on-screen display, in-place editing, namespace
           : operations (move/copy), collection creation and deletion, property
           : manipulation, and resource locking.

muelli@bigbox /dev/shm $ 


How reproducible:
 $ cadaver http://muelli.foobar.de/davshare/
Authentication required for DAV on server `muelli.foobar.de':
Username: BIGTEST
Password: 
dav:/davshare/> ls
Listing collection `/davshare/': succeeded.
Coll:   public                                 0  Sep 15 05:06
Coll:   zotero                                 0  Sep 15 13:40
        Metal1 Gear Solid.foo         2542447  Sep 15 04:46
        fooNokia_VPN_Policy.msi           480768  Sep 15 04:41
        index.html                            43  Sep 15 13:43
dav:/davshare/> rm Metal1 Gear Solid.foo fooNokia_VPN_Policy.msi 
Deleting `Metal1': failed:
404 Not Found
Deleting `Gear': failed:
404 Not Found
Deleting `Solid.foo': failed:
404 Not Found
Deleting `fooNokia_VPN_Policy.msi': succeeded.
dav:/davshare/> ls
Listing collection `/davshare/': succeeded.
Coll:   public                                 0  Sep 15 05:06
Coll:   zotero                                 0  Sep 15 13:40
        Metal1 Gear Solid.foo         2542447  Sep 15 04:46
        index.html                            43  Sep 15 13:43
dav:/davshare/> rm "Metal1 Gear Solid.n-gage"
Deleting `Metal1 Gear Solid.n-gage': succeeded.
dav:/davshare/> 


Steps to Reproduce:
1. connect to a server
2. tabcomplete a file
3. see it not being quoted
  
Actual results:
filename is not quoted when tab-comlpeted

Expected results:
I expected it to be quoted since bash does it as well. Also I don't think it makes any sense to complete a filename which I can't use at all for a commando.

Additional info:
Quoting the filename myself worked.

Comment 1 Bug Zapper 2009-11-18 12:14:33 UTC
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Joe Orton 2009-12-07 14:35:25 UTC
This is a known upstream bug - I never worked out a simple fix.

Comment 3 Bug Zapper 2010-03-15 12:49:56 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2011-06-02 17:44:51 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Tobias Mueller 2011-06-15 12:51:40 UTC
That's still an issue on F14. Probably on F15 as well.

Comment 6 Fedora End Of Life 2012-08-16 18:33:07 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Tobias Mueller 2012-09-05 14:08:21 UTC
This is still an issue with F17

Comment 8 Fedora End Of Life 2013-07-04 06:48:02 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Fedora End Of Life 2013-12-21 14:52:05 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Fedora End Of Life 2015-05-29 08:36:12 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 11 Fedora End Of Life 2015-06-30 00:32:49 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.